CREATE VIEW analytic.v_ukraine_statistics
AS WITH inner_table AS (
         SELECT us.kraj,
            us.okres,
            us.obec,
            us.kod_obce,
            us.obec_mc,
            us.celkem,
            us.m_do_3,
            us.z_do_3,
            us.x_do_3,
            us.m_do_6,
            us.z_do_6,
            us.x_do_6,
            us.m_do_15,
            us.z_do_15,
            us.x_do_15,
            us.m_do_18,
            us.z_do_18,
            us.x_do_18,
            us.m_do_65,
            us.z_do_65,
            us.x_do_65,
            us.m_sen,
            us.z_sen,
            us.x_sen,
            us.source,
            us.updated_at,
            to_date("left"(replace("right"(us.source, 16), '_'::text, '-'::text), 10), 'dd-mm-yyyy'::text) AS file_date
           FROM python.ukraine_statistics us
        )
 SELECT inner_table.file_date,
    inner_table.kraj,
    inner_table.okres,
    inner_table.obec,
    inner_table.obec_mc,
    inner_table.celkem,
    inner_table.m_do_3,
    inner_table.z_do_3,
    inner_table.x_do_3,
    inner_table.m_do_6,
    inner_table.z_do_6,
    inner_table.x_do_6,
    inner_table.m_do_15,
    inner_table.z_do_15,
    inner_table.x_do_15,
    inner_table.m_do_18,
    inner_table.z_do_18,
    inner_table.x_do_18,
    inner_table.m_do_65,
    inner_table.z_do_65,
    inner_table.x_do_65,
    inner_table.m_sen,
    inner_table.z_sen,
    inner_table.x_sen
   FROM inner_table
  WHERE inner_table.file_date = (( SELECT max(inner_table_1.file_date) AS max
           FROM inner_table inner_table_1));
